<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace core;

if(!defined('RS-MINI')) die();

/*
 * application v 1.0
 * 
 * Класс стартует систему
 *
 */

class application
{
    /*
     * объект с картой сайта
     *
     * @var         - object
     * @access      - private
     */
    
    private static $map;

    /*
     * объект дома
     *
     * @var         - object
     * @access      - private
     */
    
    private static $dom;

    /*
     * главный метод. запуск системы
     * 
     * @access  - public
     * 
     */
     
    public static function run()
    {
        // поднимаем некоторые классы ядра
        // объект по работе с структурой сайта
        self::$map = new map();
        // объект прослойка между контроллерами и вьюшкой
        self::$dom = new dom();
        
        // стартуем подключение к БД
        sql::setConnect();
        
        // получаем открываемую страницу
        if (!self::$map->getPage())
            self::notFound();
        
        // тест работы роутинга
        // просматриваем массив объектов страниц
        ?><xmp><?
        var_dump(self::$map->pageList);
        ?></xmp><?
    }
    
    /*
     * метод выводит 404 ошибку
     * 
     * @access - private
     */

    private static function notFound()
    {
        header('HTTP/1.0 404 Not Fount');
        die('404 error');
    }
}
